# 🚗 PanqKart 🚗

[![build](https://github.com/panqkart/panqkart/actions/workflows/build.yml/badge.svg)](https://github.com/panqkart/panqkart/actions/)
[![Discord chat](https://img.shields.io/discord/984496578922442753.svg?logo=discord&colorB=5865F2)](https://discord.gg/HEweZuF3Vv)
[![Donate](https://liberapay.com/assets/widgets/donate.svg)](https://en.liberapay.com/Panquesito7/donate)

A racing game with upgradable cars, fun races with up to 12 players, and so much more.\
Built by [Panquesito7 (David Leal)](https://github.com/Panquesito7), Pixel852, Crystal741, and other Minetest contributors.

**Please note that this is a work-in-progress game and is still in ALPHA stage.**\
**More awesome features are coming in the future. Stay tuned!**

## 🛠 Installation 🛠

- Unzip the archive, rename the folder to `panqkart` and
place it in `../minetest/games/`

- GNU/Linux: If you use a system-wide installation place
    it in `~/.minetest/games/`

**In order to keep Git modules (which some of them are mods on this repository), you will have to clone the repository using Git.**\
You can download the Git software on this website: <https://git-scm.com>

```bash
git clone --recurse-submodules https://github.com/panqkart/panqkart
```

**Please check [`SETUP.md`](https://github.com/panqkart/panqkart/blob/main/SETUP.md) for how to setup the lobby/game.**

## 🏁 Making your own maps 🏁

If you want to make a new level/map for our game (or just for yourself), that's amazing! We have basic tools list below to get you started.\
In the future, we will add multiple maps which will playable! Thank you for your interest in adding back to our community.

I recommend the following tools/knowledge for the same:

- [Streets](https://github.com/minetest-mods/streets) is one of the greatest streets mod for Minetest out there. It's fully customizable and includes street signals, concrete, asphalt, and so much more things.
- [Map Tools](https://github.com/minetest-mods/maptools) is a great utility mod that includes lots of special nodes used for building, moderation, administrator pickaxe, and more.
- Minetest Forums: [Map Category](https://forum.minetest.net/viewforum.php?f=12), which can help you in getting inspired by other maps or levels. Don't forget to check out its licenses before doing anything!
- [WorldEdit](https://github.com/Uberi/Minetest-WorldEdit) is an ultimate in-game world editing tool that can help you build faster and better.
- [More Blocks](https://github.com/minetest-mods/moreblocks) includes 100+ special blocks with different functionalities that help you make better buildings with more efficiency.
- [Tree Capitator](https://content.minetest.net/packages/Hybrid%20Dog/treecapitator/), which destroys the whole tree when you destroy the root trunk.

To add special modifications, such as animals, special overrides, the in-game builder privilege, etc., you may want to install the [`servermods`](https://github.com/panqkart/servermods) modpack in your server.

**Note: the `maptools:white` and `maptools:black` nodes are used when ending a race.**\
Hopefully, we will soon make a detailed tutorial on making your own map!

As always, if you need any help, do let us know about it and we will be glad to help!

## 📷 Gallery 📷

Coming soon!

## 📜 Legal/Licensing 📜

Refer to `LICENSE.md` for more information.
